Package Details: libavresample 4.4.1-1

Git Clone URL: https://aur.archlinux.org/libavresample.git (read-only, click to copy)
Package Base: libavresample
Description: libavresample from the ffmpeg package because it's been excluded due to deprecation
Upstream URL: https://ffmpeg.org/
Keywords: transcoding tvheadend
Licenses: GPL3
Provides: libavresample.so
Submitter: LukyLX
Maintainer: nobodywasishere
Last Packager: nobodywasishere
Votes: 8
Popularity: 0.000689
First Submitted: 2019-03-12 20:53 (UTC)
Last Updated: 2022-02-02 06:44 (UTC)

Pinned Comments

nobodywasishere commented on 2022-02-02 06:47 (UTC)

This is the last possible version that this can exist for as with ffmpeg 5.0, all of this is completely removed.

https://github.com/FFmpeg/FFmpeg/commit/f3f9041302203e458d720028e6f82fb4fb51d8e1 https://github.com/FFmpeg/FFmpeg/commit/420cedd49745b284c35d97b936b71ff79b43bdf7

Latest Comments

nobodywasishere commented on 2022-02-02 06:47 (UTC)

This is the last possible version that this can exist for as with ffmpeg 5.0, all of this is completely removed.

https://github.com/FFmpeg/FFmpeg/commit/f3f9041302203e458d720028e6f82fb4fb51d8e1 https://github.com/FFmpeg/FFmpeg/commit/420cedd49745b284c35d97b936b71ff79b43bdf7

nikost74 commented on 2021-07-17 09:40 (UTC)

You can just change the pkgver to pkgver=4.4 and it installs just fine.

francoism90 commented on 2021-06-05 09:51 (UTC)

If anyone needs it:

# Maintainer: Alex Mekkering <amekkering at gmail dot com>
# Contributor: Maxime Gauduin <alucryd@archlinux.org>
# Contributor: Bartłomiej Piotrowski <bpiotrowski@archlinux.org>
# Contributor: Ionut Biru <ibiru@archlinux.org>
# Contributor: Tom Newsom <Jeepster@gmx.co.uk>
# Contributor: Paul Mattal <paul@archlinux.org>

pkgname=libavresample
pkgver=4.4
pkgrel=1
epoch=1
pkgdesc="libavresample from the ffmpeg package because it's been excluded due to deprecation"
arch=('x86_64' 'arm' 'armv6h' 'armv7h' 'aarch64')
url=https://ffmpeg.org/
license=(GPL3)
depends=(
  ffmpeg
)
makedepends=(
  git
  nasm
)
provides=(
  libavresample.so
)
_tag=dc91b913b6260e85e1304c74ff7bb3c22a8c9fb1
source=(
  git+https://git.ffmpeg.org/ffmpeg.git#tag=${_tag}
)
sha256sums=(
  SKIP
)

pkgver() {
  cd ffmpeg

  git describe --tags | sed 's/^n//'
}

build() {
  cd ffmpeg

  ./configure \
    --prefix=/usr \
    --disable-all \
    --disable-debug \
    --disable-static \
    --disable-stripping \
    --enable-shared \
    --enable-manpages \
    --enable-avresample \
    --enable-version3

  make
}

package() {
  make DESTDIR="${pkgdir}" -C ffmpeg install install-man

  # Remove items owned by ffmpeg
  rm -r ${pkgdir}/usr/share
  rm -r ${pkgdir}/usr/include/libavutil
  rm  ${pkgdir}/usr/lib/libavutil.so*
  rm  ${pkgdir}/usr/lib/pkgconfig/libavutil.pc
}

francoism90 commented on 2020-12-01 08:01 (UTC)

@LukyLX Thanks. :)

Didn't know the source code hasn't been touched such a long time ago, unfortunately it seems TVHeadend still uses it for transcoding.

LukyLX commented on 2020-11-29 18:45 (UTC)

@francoism90 Sure, just updated to 4.3.1 for the sake of synchronizing with ffmpeg. However, I don't think this package really needs to be updated that frequently because the libavresample source code folder hasn't been touched for about 1,5 years.

francoism90 commented on 2020-11-27 19:05 (UTC)

@LukyLX Could you please upgrade the package? :)

TomCatT commented on 2019-03-14 16:56 (UTC)

Okay, cool thank you for info. :)

LukyLX commented on 2019-03-14 16:47 (UTC)

Hi @TomCatT, I guess you've already installed a AUR version of FFMPEG then because the official ffmpeg package doesn't include libavresample.so anymore so couldn't conflict with package libavresample. Package libavresample was designed to only work with the official ffmpeg package and only provides the libavresample.so library which is deprecated and not included anymore in the official ffmpeg package. So, if you've installed an aur package already providing libavresample.so , you don't need package libavresample.

TomCatT commented on 2019-03-14 14:38 (UTC)

Hello,

I was working on updating FFMPEG and it told me I had an older version of the avresample file.

Checking file conflicts... Failed to commit transaction: conflicting files: libavresample: /usr/include/libavresample/avresample.h already exists in filesystem libavresample: /usr/include/libavresample/version.h already exists in filesystem libavresample: /usr/lib/libavresample.so already exists in filesystem libavresample: /usr/lib/libavresample.so.4 already exists in filesystem libavresample: /usr/lib/libavresample.so.4.0.0 already exists in filesystem libavresample: /usr/lib/pkgconfig/libavresample.pc already exists in filesystem

Should I remove these files first then run your update or do you have a workaround for it?